Linked by vodoomoth on Mon 27th Sep 2010 13:10 UTC
Internet Explorer Microsoft has "set up and removed" having Windows 7 Service Pack 1 as a prerequisite to running (or, more correctly, "installing") IE9, in the space of just 2 days.
Thread beginning with comment 442791
To read all comments associated with this story, please click here.
the relevant bit is here
by google_ninja on Mon 27th Sep 2010 13:48 UTC
google_ninja
Member since:
2006-02-05

Microsoft has made many fixes to the Direct2D and Media Foundation APIs that the new browser heavily depends on


They are using bleeding edge directx stuff, and dx11 is windows 7 only.

Reply Score: 1

RE: the relevant bit is here
by chandler on Mon 27th Sep 2010 13:55 in reply to "the relevant bit is here"
chandler Member since:
2006-08-29

Wrong. DX11 is available on Vista and supports hardware accelerated text rendering and other needed APIs with the Platform Update.

Reply Parent Score: 3

google_ninja Member since:
2006-02-05

Looks like you are right. everyone just ignore my comment, didn't realize they were supporting dx11 in vista

Reply Parent Score: 3

RE: the relevant bit is here
by Kroc on Mon 27th Sep 2010 16:37 in reply to "the relevant bit is here"
Kroc Member since:
2005-11-10

So bleeding edge that Firefox can implement faster hardware acceleration on Windows XP.

Who wants some kool-aid? Oh yeah.

Reply Parent Score: 2

google_ninja Member since:
2006-02-05

bleeding edge doesn't mean good, it means bad. And MS never uses technologies from outside the company, so obviously, directx is where it would be implemented.

The whole thing is moot anyways, since dx11 is supported on vista (which I didn't know when I wrote that comment). So that doesn't explain the win7 restriction, it should be available on vista too.

Reply Parent Score: 2

RE: the relevant bit is here
by Brunis on Tue 28th Sep 2010 10:35 in reply to "the relevant bit is here"
Brunis Member since:
2005-11-01

"Microsoft has made many fixes to the Direct2D and Media Foundation APIs that the new browser heavily depends on


They are using bleeding edge directx stuff, and dx11 is windows 7 only.
"

And we're back to the "..and dx11 requires win7 because it's impossible to access your graphics hardware otherwise!" ..

Reply Parent Score: 1